Get Contact by email
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
|
Email of contact |
string |
Required |
Body Parameters :
None.
Response Information
Resource Description :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "330061c4-8161-4586-ba42-82aab832955d",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "4a0a804f-9103-430c-becf-5af72a90d92e",
"company_code": "sample string 5",
"company": {
"id": "bc03f1c8-3d49-46a5-8bdf-b79620b9d930",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-02T04:56:30.4211945+00:00",
"sales_territory_id": "75ebcace-83fd-4082-91ea-f400f1847ffb",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "b9e36afb-dd50-4a3c-bfa1-ae57ff703212",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "ab7830be-ef3a-4f55-b697-6900447fd42b",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "3d0fc221-03c7-4116-82da-b6b136abd967",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "ae0fb895-f3cd-4c12-8e29-a06ad750d64f",
"db_currency_id": "b17e7787-fe6d-458d-93e0-ff44d02fa4c0",
"db_language_id": "b93f6411-9033-4704-b9e2-d9af1e3af495",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T04:56:30.4211945+00:00"
},
"modified_dateutc": "2026-11-02T04:56:30.4211945+00:00"
},
"marketing_segment_id": "ccd5551c-2c72-4616-9d4a-c47ecbded6a8",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "02d8654d-1164-4225-b7ee-88564548a9e1",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "ad779a25-bbd2-4ca5-a8d7-6029dd2e9359",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "6a4a2ef5-725a-4fac-99ad-830b731c5b96",
"db_country_code": "sample string 28",
"feelist_id": "f88af953-a89d-446b-8093-269a70f7e551",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "4281a9a0-2ca5-4c8c-a0b9-2b44d883c354",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "c75a1b06-5285-41d0-b2af-c724118b60ff",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-02T04:56:30.4211945+00:00",
"db_currency_id": "d9b7d7d8-107c-4495-8f3c-a3e586d76384",
"db_currency_code": "sample string 10"
},
"company_type_id": "a78ce2e2-ac13-485c-9996-05db9d1a1754",
"company_type_name": "sample string 32",
"company_type": {
"id": "649ab97d-b0c8-4c5a-b4f5-e1301f535dbe",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "8717c844-8f01-4a58-9990-014010231961",
"sales_organization_code": "sample string 5"
},
"db_language_id": "44e59629-459f-413d-b13b-23a283971631",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "8d6541b2-e9ce-4ee0-8d5f-d7a149bc07cb",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "80a88ac1-88d4-4ccc-9352-4c89e0b2ad36",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "fb29540f-a63c-4720-a47b-6cda8e76a5b1",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-02T04:56:30.4211945+00:00"
},
"company_sector_id": "125ea84c-9da3-4eb3-929e-296c11b66214",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "afe0f55c-213f-4a04-87f7-5c3da744519c",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "ec27cb60-ca5a-428d-afbb-a31379997c11",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "bfa58fdd-fd51-43a1-acd4-d8a6a5415539",
"account_manager_user_code": "sample string 56",
"company_status_id": "d2738cb3-fd91-49f5-b9b8-85be4cd5d79d",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-02T04:56:30.4211945+00:00",
"id2": 60
},
"db_language_id": "910f48b3-c109-4fa6-83f1-98f8f8510494",
"db_language_code": "sample string 7",
"db_title_id": "02b38c2c-cdfe-4a67-8323-79c3df58a641",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-02T04:56:30.4211945+00:00",
"create_date": "2026-11-02T04:56:30.4211945+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-02T04:56:30.4211945+00:00"
}